/////
//
// File : absec_fs.c
// Author : Jean-Luc Cyr
// Date : 2018-10
//
// Description: Using filesystem as autorisation method
//


#include "absec_auto.h"

#include <sys/stat.h>
#include "httpd.h"

////////////////////////////////////////////////////////////////
// file system based permission lookup
int perms_lookup(request_rec *r, struct stat *fperm) 
{
   int status;
   status = stat(r->filename, fperm);

   return status;
}
